~~CLDBL~~
/*--------------------------------------------------------------*
             TableCurve 2D C 80-bit Code Output
          To modify generated output, edit CLDBL.TCL
*--------------------------------------------------------------*/

#include <math.h>
#include <stdio.h>

long double `FNAME`(long double x, long double y);

void main(void)
{
  long double x,y,z;
  char str[80];
  while(1){
    printf("Enter x: ");
    gets(str);
    if(!*str) break;
    sscanf(str,"%Lg",&x);
    printf("Enter y: ");
    gets(str);
    if(!*str) break;
    sscanf(str,"%Lg",&y);
    z=`FNAME`(x,y);
    printf("      z=%.15Lg\n",z);
    }
}

!!C!!
#include <math.h> `SCOPE`
/*--------------------------------------------------------------*/`ERF`
long double erf(long double x)`ERF`
/*--------------------------------------------------------------*/`ERF`
{`ERF`
  long double ax,t,y;`ERF`
  ax=fabsl(x);`ERF`
  if(ax>6.48) return x<0.0 ? -1.0 : 1.0;`ERF`
  t=1.0/(1.0+0.5*ax);`ERF`
	y= (-1.2655121234846453966+t*(2.4134460641514861263+t*(-9.9235028040687583952+`ERF`
   t*(13.302276278574273331+t*(-24.319396478701311967+t*(23.692350924775043270+`ERF`
   t*(-22.197043956971559916+t*(17.339620646135277985+t*(-6.3938564044247529780+`ERF`
   t*(6.0481454784100065034+t*(0.28178788070936513684+t*(0.93891309129575989410+`ERF`
	 t*0.082771403599816401724))))))))))))/`ERF`
	 (1.0+t*(-1.1168965021524233299+t*(7.2552495796202686003+t*(-5.0434361200370699494+`ERF`
   t*(17.240187855656536167+t*(-6.1529352775153386592+t*(17.016156034086787224+`ERF`
   t*(-1.3208495997153686877+t*(7.6005319011658441292+t*(0.92985974103699105186+`ERF`
   t*(1.4840460414249225458+t*(0.24563751416422217253+t*0.069792970132583476851))))))))))));`ERF`
	y=t*expl(-x*x+y);`ERF`
  return x>=0.0 ? 1.0-y : -1.0+y;`ERF`
}`ERF`
/*--------------------------------------------------------------*/`FPOLY`
long double evalcpoly(int order, int logx, int logy, long double x, long double y, long double *p)`FCPOLY`
/*--------------------------------------------------------------*/`FCPOLY`
{`FCPOLY`
  int tcnt,j,m,iv;`FCPOLY`
  long double tx[12],ty[12],v[70],ans;`FCPOLY`
  if(!logx) x=(x-(`CHEBSCALE0`))/(`CHEBSCALE1`);`FCPOLY`
  else x=(logl(x)-(`CHEBSCALE6`))/(`CHEBSCALE7`);`FCPOLY`
  if(!logy) y=(y-(`CHEBSCALE2`))/(`CHEBSCALE3`);`FCPOLY`
  else y=(logl(y)-(`CHEBSCALE8`))/(`CHEBSCALE9`);`FCPOLY`
  switch(order){`FCPOLY`
    case 5:  tcnt=3; break;`FCPOLY`
    case 9:  tcnt=4; break;`FCPOLY`
    case 14: tcnt=5; break;`FCPOLY`
    case 20: tcnt=6; break;`FCPOLY`
    case 27: tcnt=7; break;`FCPOLY`
    case 35: tcnt=8; break;`FCPOLY`
    case 44: tcnt=9; break;`FCPOLY`
    case 54: tcnt=10; break;`FCPOLY`
    case 65: tcnt=11; break;`FCPOLY`
    default: return 0.0;`FCPOLY`
    }`FCPOLY`
  if(tcnt>6){`FCPOLY`
    if(x<-1.0) x=-1.0;`FCPOLY`
    if(x>1.0)  x= 1.0;`FCPOLY`
    if(y<-1.0) y=-1.0;`FCPOLY`
    if(y>1.0)  y= 1.0;`FCPOLY`
    }`FCPOLY`
  tx[0]=ty[0]=1.0;`FCPOLY`
  tx[1]=x; ty[1]=y;`FCPOLY`
  for(j=2;j<tcnt;j++){`FCPOLY`
    tx[j]=2*x*tx[j-1]-tx[j-2];`FCPOLY`
    ty[j]=2*y*ty[j-1]-ty[j-2];`FCPOLY`
    }`FCPOLY`
  iv=0;`FCPOLY`
  for(j=0;j<tcnt;j++){`FCPOLY`
    for(m=j; m>=0; m--)`FCPOLY`
      v[iv++]=tx[m]*ty[j-m];`FCPOLY`
    }`FCPOLY`
  ans=0.0;`FCPOLY`
  for(j=0;j<=order;j++)`FCPOLY`
    ans += p[j]*v[j];`FCPOLY`
  return ans;`FCPOLY`
}`FCPOLY`
/*--------------------------------------------------------------*/`FCRATL`
long double evalcratl(int order, int logx, int logy, long double x, long double y, long double *p)`FCRATL`
/*--------------------------------------------------------------*/`FCRATL`
{`FCRATL`
  int tcnt,j,m;`FCRATL`
  long double tx[12],ty[12],num,den;`FCRATL`
  if(!logx) x=(x-(`CHEBSCALE0`))/(`CHEBSCALE1`);`FCRATL`
  else x=(logl(x)-(`CHEBSCALE6`))/(`CHEBSCALE7`);`FCRATL`
  if(!logy) y=(y-(`CHEBSCALE2`))/(`CHEBSCALE3`);`FCRATL`
  else y=(logl(y)-(`CHEBSCALE8`))/(`CHEBSCALE9`);`FCRATL`
  switch(order){`FCRATL`
    case 6:  tcnt=3;  break;`FCRATL`
    case 10: tcnt=4;  break;`FCRATL`
    case 14: tcnt=5;  break;`FCRATL`
    case 18: tcnt=6;  break;`FCRATL`
    case 22: tcnt=7;  break;`FCRATL`
    case 26: tcnt=8;  break;`FCRATL`
    case 30: tcnt=9;  break;`FCRATL`
    case 34: tcnt=10; break;`FCRATL`
    case 38: tcnt=11; break;`FCRATL`
    case 42: tcnt=12; break;`FCRATL`
    default: return 0.0;`FCRATL`
    }`FCRATL`
  if(tcnt>7){`FCRATL`
    if(x<-1.0) x=-1.0;`FCRATL`
    if(x>1.0)  x= 1.0;`FCRATL`
    if(y<-1.0) y=-1.0;`FCRATL`
    if(y>1.0)  y= 1.0;`FCRATL`
    }`FCRATL`
  tx[0]=ty[0]=1.0;`FCRATL`
  tx[1]=x; ty[1]=y;`FCRATL`
  for(j=2;j<tcnt;j++){`FCRATL`
    tx[j]=2*x*tx[j-1]-tx[j-2];`FCRATL`
    ty[j]=2*y*ty[j-1]-ty[j-2];`FCRATL`
    }`FCRATL`
  m=1;`FCRATL`
  num=p[0];`FCRATL`
  den=1.0+p[1]*tx[m]+p[2]*ty[m];`FCRATL`
  for(j=3;j<order;j+=4){`FCRATL`
    num+=p[j]*tx[m];`FCRATL`
    num+=p[j+1]*ty[m];`FCRATL`
    m++;`FCRATL`
    den+=p[j+2]*tx[m];`FCRATL`
    den+=p[j+3]*ty[m];`FCRATL`
    }`FCRATL`
  return (den==0.0)? 0.0 : (num/den)*(`CHEBSCALE5`)+(`CHEBSCALE4`);`FCRATL`
}`FCRATL`
/*--------------------------------------------------------------*/`FFSER`
long double evalfpoly(int order, long double x, long double y, long double *p)`FFSER`
/*--------------------------------------------------------------*/`FFSER`
{`FFSER`
  int j,m;`FFSER`
  long double ans=p[0];`FFSER`
  x=(x-(`FOURIERSCALE0`))/(`FOURIERSCALE1`);`FFSER`
  y=(y-(`FOURIERSCALE2`))/(`FOURIERSCALE3`);`FFSER`
  if(x<0.0) x=0.0;`FFSER`
  if(x>3.14159265358979323846) x=3.14159265358979323846;`FFSER`
  if(y<0.0) y=0.0;`FFSER`
  if(y>3.14159265358979323846) y=3.14159265358979323846;`FFSER`
  for(m=1,j=1;j<=order;j+=4,m++){`FFSER`
    ans += p[j]*cosl(m*x);`FFSER`
    ans += p[j+1]*sinl(m*x);`FFSER`
    ans += p[j+2]*cosl(m*y);`FFSER`
    ans += p[j+3]*sinl(m*y);`FFSER`
    }`FFSER`
  return ans;`FFSER`
}`FFSER`
/*--------------------------------------------------------------*/`FFSI`
long double evalfsi(int order, long double x, long double y, long double *p)`FFSI`
/*--------------------------------------------------------------*/`FFSI`
{`FFSI`
  int i,sicnt,j,k=0,m,n1,n2;`FFSI`
  long double vx[10],vy[10],v[70],ans;`FFSI`
  x=(x-(`FOURIERSCALE0`))/(`FOURIERSCALE1`);`FFSI`
  y=(y-(`FOURIERSCALE2`))/(`FOURIERSCALE3`);`FFSI`
  if(x<0.0) x=0.0;`FFSI`
  if(x>3.14159265358979323846) x=3.14159265358979323846;`FFSI`
  if(y<0.0) y=0.0;`FFSI`
  if(y>3.14159265358979323846) y=3.14159265358979323846;`FFSI`
  switch(order){`FFSI`
    case 12: sicnt=2; break;`FFSI`
    case 24: sicnt=3; break;`FFSI`
    case 40: sicnt=4; break;`FFSI`
    case 60: sicnt=5; break;`FFSI`
    default: return 0.0;`FFSI`
    }`FFSI`
  for(i=1,j=1;i<=sicnt;i++,j+=2){`FFSI`
    vx[j]=cosl(i*x);`FFSI`
    vx[j+1]=sinl(i*x);`FFSI`
    vy[j]=cosl(i*y);`FFSI`
    vy[j+1]=sinl(i*y);`FFSI`
    }`FFSI`
  switch(sicnt){`FFSI`
    case 2: m=4;  n1=2; n2=2; break;`FFSI`
    case 3: m=6;  n1=2; n2=4; break;`FFSI`
    case 4: m=8;  n1=4; n2=6; break;`FFSI`
    case 5: m=10; n1=4; n2=8; break;`FFSI`
    }`FFSI`
  v[k++]=1.0;`FFSI`
  for(i=1;i<=m;i++){`FFSI`
    v[k++]=vx[i];`FFSI`
    v[k++]=vy[i];`FFSI`
    }`FFSI`
  for(i=1;i<=n1;i++){`FFSI`
    if(i==3) n2-=2;`FFSI`
    for(j=i;j<=n2;j++){`FFSI`
      v[k++]=vx[i]*vy[j];`FFSI`
      if(j!=i)`FFSI`
        v[k++]=vx[j]*vy[i];`FFSI`
      }`FFSI`
    }`FFSI`
  ans=0.0;`FFSI`
  for(j=0;j<=order;j++)`FFSI`
    ans += p[j]*v[j];`FFSI`
  return ans;`FFSI`
}`FFSI`
/*--------------------------------------------------------------*/`FCSI`
long double evalcsi(int order, long double x, long double y, long double *p)`FCSI`
/*--------------------------------------------------------------*/`FCSI`
{`FCSI`
  int nc,j,m,iv;`FCSI`
  long double cx[12],cy[12],v[70],ans;`FCSI`
  x=(x-(`FOURIERSCALE0`))/(`FOURIERSCALE1`);`FCSI`
  y=(y-(`FOURIERSCALE2`))/(`FOURIERSCALE3`);`FCSI`
  if(x<0.0) x=0.0;`FCSI`
  if(x>3.14159265358979323846) x=3.14159265358979323846;`FCSI`
  if(y<0.0) y=0.0;`FCSI`
  if(y>3.14159265358979323846) y=3.14159265358979323846;`FCSI`
  switch(order){`FCSI`
    case 5:  nc=2; break;`FCSI`
    case 9:  nc=3; break;`FCSI`
    case 14: nc=4; break;`FCSI`
    case 20: nc=5; break;`FCSI`
    case 27: nc=6; break;`FCSI`
    case 35: nc=7; break;`FCSI`
    case 44: nc=8; break;`FCSI`
    case 54: nc=9; break;`FCSI`
    case 65: nc=10; break;`FCSI`
    default: return 0.0;`FCSI`
    }`FCSI`
  cx[0]=cy[0]=1.0;`FCSI`
  for(j=1;j<=nc;j++){`FCSI`
    cx[j]=cosl(j*x);`FCSI`
    cy[j]=cosl(j*y);`FCSI`
    }`FCSI`
  iv=0;`FCSI`
  for(j=0;j<=nc;j++){`FCSI`
    for(m=j; m>=0; m--)`FCSI`
      v[iv++]=cx[m]*cy[j-m];`FCSI`
    }`FCSI`
  ans=0.0;`FCSI`
  for(j=0;j<=order;j++)`FCSI`
    ans += p[j]*v[j];`FCSI`
  return ans;`FCSI`
}`FCSI`
/*--------------------------------------------------------------*/`FSIG`
long double evalsig(int order, long double x, long double y, long double *p)`FSIG`
/*--------------------------------------------------------------*/`FSIG`
{`FSIG`
  int pcnt,j,m,iv;`FSIG`
  long double px[12],py[12],v[70],ans,ctr;`FSIG`
  x=(x-(`CHEBSCALE0`))/(`CHEBSCALE1`);`FSIG`
  y=(y-(`CHEBSCALE2`))/(`CHEBSCALE3`);`FSIG`
  switch(order){`FSIG`
    case 5:  pcnt=3; break;`FSIG`
    case 9:  pcnt=4; break;`FSIG`
    case 14: pcnt=5; break;`FSIG`
    case 20: pcnt=6; break;`FSIG`
    case 27: pcnt=7; break;`FSIG`
    case 35: pcnt=8; break;`FSIG`
    case 44: pcnt=9; break;`FSIG`
    case 54: pcnt=10; break;`FSIG`
    case 65: pcnt=11; break;`FSIG`
    default: return 0.0;`FSIG`
    }`FSIG`
  px[0]=py[0]=1.0;`FSIG`
  px[1]=x; py[1]=y;`FSIG`
  for(j=2;j<pcnt;j++){`FSIG`
    ctr=-1.0+(j-1)*(2.0/(pcnt-1.0));`FSIG`
    px[j]=-1.0+2.0/(1.0+expl(-(x-ctr)/0.12));`FSIG`
    py[j]=-1.0+2.0/(1.0+expl(-(y-ctr)/0.12));`FSIG`
    }`FSIG`
  iv=0;`FSIG`
  for(j=0;j<pcnt;j++){`FSIG`
    for(m=j; m>=0; m--)`FSIG`
      v[iv++]=px[m]*py[j-m];`FSIG`
    }`FSIG`
  ans=0.0;`FSIG`
  for(j=0;j<=order;j++)`FSIG`
    ans += p[j]*v[j];`FSIG`
  return ans;`FSIG`
}`FSIG`

/*--------------------------------------------------------------*/
long double `FNAME`(long double x, long double y)
/*--------------------------------------------------------------*
   TableCurve 3D
   File Source= `SFILE`
   Date= `DATE`
   Time= `TIME`
   Data Set= `TITLE`
   X= `XTITLE`
   Y= `YTITLE`
   Z= `ZTITLE`
   Eqn#= `EQNO`
   Eqn= `EQSTR`
   r2=`R2VAL`
   r2adj=`R2ADJ`
   StdErr=`STDERR`
   Fstat=`FVAL`
   a= `COEFSTR0`
   b= `COEFSTR1`
   c= `COEFSTR2`
   d= `COEFSTR3`
   e= `COEFSTR4`
   f= `COEFSTR5`
   g= `COEFSTR6`
   h= `COEFSTR7`
   i= `COEFSTR8`
   j= `COEFSTR9`
   k= `COEFSTR10`
   l= `COEFSTR11`
   m= `COEFSTR12`
   n= `COEFSTR13`
   o= `COEFSTR14`
   p= `COEFSTR15`
   q= `COEFSTR16`
   r= `COEFSTR17`
   s= `COEFSTR18`
   t= `COEFSTR19`
   u= `COEFSTR20`
   v= `COEFSTR21`
   aa= `COEFSTR22`
   ab= `COEFSTR23`
   ac= `COEFSTR24`
   ad= `COEFSTR25`
   ae= `COEFSTR26`
   af= `COEFSTR27`
   ag= `COEFSTR28`
   ah= `COEFSTR29`
   ai= `COEFSTR30`
   aj= `COEFSTR31`
   ak= `COEFSTR32`
   al= `COEFSTR33`
   am= `COEFSTR34`
   an= `COEFSTR35`
   ao= `COEFSTR36`
   ap= `COEFSTR37`
   aq= `COEFSTR38`
   ar= `COEFSTR39`
   as= `COEFSTR40`
   at= `COEFSTR41`
   au= `COEFSTR42`
   av= `COEFSTR43`
   ba= `COEFSTR44`
   bb= `COEFSTR45`
   bc= `COEFSTR46`
   bd= `COEFSTR47`
   be= `COEFSTR48`
   bf= `COEFSTR49`
   bg= `COEFSTR50`
   bh= `COEFSTR51`
   bi= `COEFSTR52`
   bj= `COEFSTR53`
   bk= `COEFSTR54`
   bl= `COEFSTR55`
   bm= `COEFSTR56`
   bn= `COEFSTR57`
   bo= `COEFSTR58`
   bp= `COEFSTR59`
   bq= `COEFSTR60`
   br= `COEFSTR61`
   bs= `COEFSTR62`
   bt= `COEFSTR63`
   bu= `COEFSTR64`
   bv= `COEFSTR65`
 *--------------------------------------------------------------*/
{
  long double z;
  long double z1,z2;`FDECL2`
  long double z1,z2,z3,z4;`FDECL4`
  long double z1,z2,z3,z4,z5,z6;`FDECL6`
  long double z1,z2,z3,z4,z5,z6,z7,z8;`FDECL8`
  long double zu;`FDECLZU`
  long double zv;`FDECLZV`
  long double `FLIST`;
  static long double c[]= {`LISTCOEF`
    `CVAL0`,`LISTCOEF`
    `CVAL1`,`LISTCOEF`
    `CVAL2`,`LISTCOEF`
    `CVAL3`,`LISTCOEF`
    `CVAL4`,`LISTCOEF`
    `CVAL5`,`LISTCOEF`
    `CVAL6`,`LISTCOEF`
    `CVAL7`,`LISTCOEF`
    `CVAL8`,`LISTCOEF`
    `CVAL9`,`LISTCOEF`
    `CVAL10`,`LISTCOEF`
    `CVAL11`,`LISTCOEF`
    `CVAL12`,`LISTCOEF`
    `CVAL13`,`LISTCOEF`
    `CVAL14`,`LISTCOEF`
    `CVAL15`,`LISTCOEF`
    `CVAL16`,`LISTCOEF`
    `CVAL17`,`LISTCOEF`
    `CVAL18`,`LISTCOEF`
    `CVAL19`,`LISTCOEF`
    `CVAL20`,`LISTCOEF`
    `CVAL21`,`LISTCOEF`
    `CVAL22`,`LISTCOEF`
    `CVAL23`,`LISTCOEF`
    `CVAL24`,`LISTCOEF`
    `CVAL25`,`LISTCOEF`
    `CVAL26`,`LISTCOEF`
    `CVAL27`,`LISTCOEF`
    `CVAL28`,`LISTCOEF`
    `CVAL29`,`LISTCOEF`
    `CVAL30`,`LISTCOEF`
    `CVAL31`,`LISTCOEF`
    `CVAL32`,`LISTCOEF`
    `CVAL33`,`LISTCOEF`
    `CVAL34`,`LISTCOEF`
    `CVAL35`,`LISTCOEF`
    `CVAL36`,`LISTCOEF`
    `CVAL37`,`LISTCOEF`
    `CVAL38`,`LISTCOEF`
    `CVAL39`,`LISTCOEF`
    `CVAL40`,`LISTCOEF`
    `CVAL41`,`LISTCOEF`
    `CVAL42`,`LISTCOEF`
    `CVAL43`,`LISTCOEF`
    `CVAL44`,`LISTCOEF`
    `CVAL45`,`LISTCOEF`
    `CVAL46`,`LISTCOEF`
    `CVAL47`,`LISTCOEF`
    `CVAL48`,`LISTCOEF`
    `CVAL49`,`LISTCOEF`
    `CVAL50`,`LISTCOEF`
    `CVAL51`,`LISTCOEF`
    `CVAL52`,`LISTCOEF`
    `CVAL53`,`LISTCOEF`
    `CVAL54`,`LISTCOEF`
    `CVAL55`,`LISTCOEF`
    `CVAL56`,`LISTCOEF`
    `CVAL57`,`LISTCOEF`
    `CVAL58`,`LISTCOEF`
    `CVAL59`,`LISTCOEF`
    `CVAL60`,`LISTCOEF`
    `CVAL61`,`LISTCOEF`
    `CVAL62`,`LISTCOEF`
    `CVAL63`,`LISTCOEF`
    `CVAL64`,`LISTCOEF`
    `CVAL65`,`LISTCOEF`
    };`LISTCOEF`
  x=`FX`;
  y=`FY`;
  f1=`F1`;
  f2=`F2`;
  f3=`F3`;
  f4=`F4`;
  f5=`F5`;
  f6=`F6`;
  f7=`F7`;
  f8=`F8`;
  zu=`ZUEQNCODE`;
  zv=`ZVEQNCODE`;
  z1=`Z1EQNCODE`;
  z2=`Z2EQNCODE`;
  z3=`Z3EQNCODE`;
  z4=`Z4EQNCODE`;
  z5=`Z5EQNCODE`;
  z6=`Z6EQNCODE`;
  z7=`Z7EQNCODE`;
  z8=`Z8EQNCODE`;
  z=`EQNCODE`;
  z=evalcpoly(`ORDER`,`ISLOGX`,`ISLOGY`,x,y,c);`FCPOLY`
  z=evalcratl(`ORDER`,`ISLOGX`,`ISLOGY`,x,y,c);`FCRATL`
  z=evalfpoly(`ORDER`,x,y,c);`FFSER`
  z=evalfsi(`ORDER`,x,y,c);`FFSI`
  z=evalcsi(`ORDER`,x,y,c);`FCSI`
  z=evalsig(`ORDER`,x,y,c);`FSIG`
  `UDFCODE`
  return `FZ`;
}
!!C!!
~~C~~
