~~PASCAL~~
{---------------------------------------------------------------}
{            TableCurve 2D Pascal Code Output                   }
{       To modify generated output, edit PASCAL.TCL             }
{---------------------------------------------------------------}

program _`FILENOEX`;

{$IFDEF CPU87}
  {$N+,E-}     { 10 byte extended real, 80x87 in-line }
{$ELSE}
  {$N+,E+}     { 10 byte extended real, emulation on }
{$ENDIF}

type
  real  = extended;

var
  x,y,z      : real;
  st         : string[80];
  i,j        : integer;

!!PASCAL!!
type
  coef= array[0..80] of real;
  ar12= array[0..12] of real;
  ar70= array[0..70] of real;

{---------------------------------------------------------------}`ERF`
function Erf ( x: real) : real;`ERF`
{---------------------------------------------------------------}`ERF`
var  t,ax,y : real;`ERF`
begin`ERF`
  ax:=Abs(x);`ERF`
  y:=0.0;`ERF`
  if (ax<5.94) then`ERF`
  begin`ERF`
    t:=1.0/(1.0+0.5*ax);`ERF`
	  y:=(-1.265512123484645+t*(2.413446064151486+t*(-9.923502804068758+`ERF`
     t*(13.30227627857427+t*(-24.31939647870131+t*(23.69235092477504+`ERF`
     t*(-22.19704395697156+t*(17.33962064613528+t*(-6.393856404424753+`ERF`
     t*(6.048145478410007+t*(0.2817878807093651+t*(0.9389130912957599+`ERF`
     t*0.082771403599816401724))))))))))))/`ERF`
	   (1.0+t*(-1.116896502152423+t*(7.255249579620269+t*(-5.043436120037070+`ERF`
     t*(17.24018785565654+t*(-6.152935277515339+t*(17.01615603408679+`ERF`
     t*(-1.320849599715369+t*(7.600531901165844+t*(0.9298597410369911+`ERF`
     t*(1.484046041424923+t*(0.2456375141642222+t*0.06979297013258348))))))))))));`ERF`
	  y:=t*exp(-x*x+y);`ERF`
  end;`ERF`
  if x<0 then Erf := -1.0+y else Erf := 1.0-y;`ERF`
end;`ERF`

{---------------------------------------------------------------}`POW`
function Pow ( x,n : real) : real;`POW`
{---------------------------------------------------------------}`POW`
begin`POW`
  Pow := Exp(n*Ln(x));`POW`
end;`POW`

{---------------------------------------------------------------}`FCPOLY`
function evalcpoly(order,logx,logy :integer; var x,y: real; var c: coef) : real;`FCPOLY`
{---------------------------------------------------------------}`FCPOLY`
var  tcnt,j,m,iv: integer;`FCPOLY`
     tx, ty : ar12;`FCPOLY`
     v : ar70;`FCPOLY`
     ans : real;`FCPOLY`
begin`FCPOLY`
  if logx=1`FCPOLY`
    then x:=(Ln(x)-(`CHEBSCALE6`))/(`CHEBSCALE7`)`FCPOLY`
    else x:=(x-(`CHEBSCALE0`))/(`CHEBSCALE1`);`FCPOLY`
  if logy=1`FCPOLY`
    then y:=(Ln(y)-(`CHEBSCALE8`))/(`CHEBSCALE9`)`FCPOLY`
    else y:=(y-(`CHEBSCALE2`))/(`CHEBSCALE3`);`FCPOLY`
  evalcpoly :=0.0;`FCPOLY`
  case order of`FCPOLY`
    5: tcnt:=3;`FCPOLY`
    9: tcnt:=4;`FCPOLY`
    14: tcnt:=5;`FCPOLY`
    20: tcnt:=6;`FCPOLY`
    27: tcnt:=7;`FCPOLY`
    35: tcnt:=8;`FCPOLY`
    44: tcnt:=9;`FCPOLY`
    54: tcnt:=10;`FCPOLY`
    65: tcnt:=11;`FCPOLY`
  else`FCPOLY`
    Exit;`FCPOLY`
  end;`FCPOLY`
  if tcnt>6 then`FCPOLY`
  begin`FCPOLY`
    if x<-1.0 then x:=-1.0;`FCPOLY`
    if x>1.0 then x:= 1.0;`FCPOLY`
    if y<-1.0 then y:=-1.0;`FCPOLY`
    if y>1.0 then y:= 1.0;`FCPOLY`
  end;`FCPOLY`
  tx[0]:=1.0;`FCPOLY`
  ty[0]:=1.0;`FCPOLY`
  tx[1]:=x;`FCPOLY`
  ty[1]:=y;`FCPOLY`
  for j:=2 to tcnt-1 do`FCPOLY`
    begin`FCPOLY`
    tx[j]:=2*x*tx[j-1]-tx[j-2];`FCPOLY`
    ty[j]:=2*y*ty[j-1]-ty[j-2];`FCPOLY`
    end;`FCPOLY`
  iv:=0;`FCPOLY`
  for j:=0 to tcnt-1 do`FCPOLY`
    begin`FCPOLY`
    for m:=j downto 0 do `FCPOLY`
      begin`FCPOLY`
      v[iv]:=tx[m]*ty[j-m];`FCPOLY`
      iv:=iv+1;`FCPOLY`
      end;`FCPOLY`
    end;`FCPOLY`
  ans:=0.0;`FCPOLY`
  for j:=0 to order do`FCPOLY`
    ans:=ans + c[j]*v[j];`FCPOLY`
  evalcpoly := ans;`FCPOLY`
end;`FCPOLY`
{---------------------------------------------------------------}`FCRATL`
function evalcratl(order,logx,logy :integer; var x,y: real; var c: coef) : real;`FCRATL`
{---------------------------------------------------------------}`FCRATL`
var  tcnt,j,m: integer;`FCRATL`
     tx, ty : ar12;`FCRATL`
     num,den : real;`FCRATL`
begin`FCRATL`
  if logx=1`FCRATL`
    then x:=(Ln(x)-(`CHEBSCALE6`))/(`CHEBSCALE7`)`FCRATL`
    else x:=(x-(`CHEBSCALE0`))/(`CHEBSCALE1`);`FCRATL`
  if logy=1`FCRATL`
    then y:=(Ln(y)-(`CHEBSCALE8`))/(`CHEBSCALE9`)`FCRATL`
    else y:=(y-(`CHEBSCALE2`))/(`CHEBSCALE3`);`FCRATL`
  evalcratl :=0.0;`FCRATL`
  case order of`FCRATL`
    6:  tcnt:=3;`FCRATL`
    10: tcnt:=4;`FCRATL`
    14: tcnt:=5;`FCRATL`
    18: tcnt:=6;`FCRATL`
    22: tcnt:=7;`FCRATL`
    26: tcnt:=8;`FCRATL`
    30: tcnt:=9;`FCRATL`
    34: tcnt:=10;`FCRATL`
    38: tcnt:=11;`FCRATL`
    42: tcnt:=12;`FCRATL`
  else`FCRATL`
    Exit;`FCRATL`
  end;`FCRATL`
  if tcnt>7 then`FCRATL`
  begin`FCRATL`
    if x<-1.0 then x:=-1.0;`FCRATL`
    if x>1.0 then x:= 1.0;`FCRATL`
    if y<-1.0 then y:=-1.0;`FCRATL`
    if y>1.0 then y:= 1.0;`FCRATL`
  end;`FCRATL`
  tx[0]:=1.0;`FCRATL`
  ty[0]:=1.0;`FCRATL`
  tx[1]:=x;`FCRATL`
  ty[1]:=y;`FCRATL`
  for j:=2 to tcnt-1 do`FCRATL`
    begin`FCRATL`
    tx[j]:=2*x*tx[j-1]-tx[j-2];`FCRATL`
    ty[j]:=2*y*ty[j-1]-ty[j-2];`FCRATL`
    end;`FCRATL`
  m:=1;`FCRATL`
  num:=c[0];`FCRATL`
  den:=1.0+c[1]*tx[m]+c[2]*ty[m];`FCRATL`
  j:=3;`FCRATL`
  while j<order do`FCRATL`
    begin`FCRATL`
    num:=num+c[j]*tx[m];`FCRATL`
    num:=num+c[j+1]*ty[m];`FCRATL`
    m:=m+1;`FCRATL`
    den:=den+c[j+2]*tx[m];`FCRATL`
    den:=den+c[j+3]*ty[m];`FCRATL`
    j:=j+4`FCRATL`
    end;`FCRATL`
  if den=0.0`FCRATL`
    then evalcratl:=0.0`FCRATL`
    else evalcratl:=(num/den)*(`CHEBSCALE5`)+(`CHEBSCALE4`);`FCRATL`
end;`FCRATL`
{---------------------------------------------------------------}`FFSER`
function evalfpoly(order: integer; var x,y: real; var c: coef) : real;`FFSER`
{---------------------------------------------------------------}`FFSER`
var  j,m: integer;`FFSER`
     ans : real;`FFSER`
begin`FFSER`
  ans:=c[0];`FFSER`
  x:=(x-(`FOURIERSCALE0`))/(`FOURIERSCALE1`);`FFSER`
  y:=(y-(`FOURIERSCALE2`))/(`FOURIERSCALE3`);`FFSER`
  if x<0.0 then x:=0.0;`FFSER`
  if x>3.14159265358979323846 then x:=3.14159265358979323846;`FFSER`
  if y<0.0 then y:=0.0;`FFSER`
  if y>3.14159265358979323846 then y:=3.14159265358979323846;`FFSER`
  m:=1;`FFSER`
  j:=1;`FFSER`
  while j<=order do`FFSER`
    begin`FFSER`
    ans := ans + c[j]*Cos(m*x);`FFSER`
    ans := ans + c[j+1]*Sin(m*x);`FFSER`
    ans := ans + c[j+2]*Cos(m*y);`FFSER`
    ans := ans + c[j+3]*Sin(m*y);`FFSER`
    j:=j+4;`FFSER`
    m:=m+1;`FFSER`
    end;`FFSER`
  evalfpoly:=ans;`FFSER`
end;`FFSER`
{---------------------------------------------------------------}`FFSI`
function evalfsi(order: integer; var x,y: real; var c: coef) : real;`FFSI`
{---------------------------------------------------------------}`FFSI`
var  i,sicnt,j,k,m,n1,n2 : integer;`FFSI`
     vx,vy : ar12;`FFSI`
     v : ar70;`FFSI`
     ans : real;`FFSI`
begin`FFSI`
  x:=(x-(`FOURIERSCALE0`))/(`FOURIERSCALE1`);`FFSI`
  y:=(y-(`FOURIERSCALE2`))/(`FOURIERSCALE3`);`FFSI`
  if x<0.0 then x:=0.0;`FFSI`
  if x>3.14159265358979323846 then x:=3.14159265358979323846;`FFSI`
  if y<0.0 then y:=0.0;`FFSI`
  if y>3.14159265358979323846 then y:=3.14159265358979323846;`FFSI`
  evalfsi :=0.0;`FFSI`
  case order of`FFSI`
    12: sicnt:=2;`FFSI`
    24: sicnt:=3;`FFSI`
    40: sicnt:=4;`FFSI`
    60: sicnt:=5;`FFSI`
  else`FFSI`
    Exit;`FFSI`
  end;`FFSI`
  j:=1;`FFSI`
  for i:=1 to sicnt do`FFSI`
    begin`FFSI`
    vx[j]:=Cos(i*x);`FFSI`
    vx[j+1]:=Sin(i*x);`FFSI`
    vy[j]:=Cos(i*y);`FFSI`
    vy[j+1]:=Sin(i*y);`FFSI`
    j:=j+2;`FFSI`
    end;`FFSI`
  case sicnt of`FFSI`
    2: begin`FFSI`
       m:=4;`FFSI`
       n1:=2;`FFSI`
       n2:=2;`FFSI`
       end;`FFSI`
    3: begin`FFSI`
       m:=6;`FFSI`
       n1:=2;`FFSI`
       n2:=4;`FFSI`
       end;`FFSI`
    4: begin`FFSI`
       m:=8;`FFSI`
       n1:=4;`FFSI`
       n2:=6;`FFSI`
       end;`FFSI`
    5: begin`FFSI`
       m:=10;`FFSI`
       n1:=4;`FFSI`
       n2:=8;`FFSI`
       end;`FFSI`
    end;`FFSI`
  v[0]:=1.0;`FFSI`
  k:=1;`FFSI`
  for i:=1 to m do`FFSI`
    begin`FFSI`
    v[k]:=vx[i];`FFSI`
    k:=k+1;`FFSI`
    v[k]:=vy[i];`FFSI`
    k:=k+1;`FFSI`
    end;`FFSI`
  for i:=1 to n1 do`FFSI`
    begin`FFSI`
    if i=3 then n2:=n2-2;`FFSI`
    for j:=i to n2 do`FFSI`
      begin`FFSI`
      v[k]:=vx[i]*vy[j];`FFSI`
      k:=k+1;`FFSI`
      if j<>i then`FFSI`
        begin`FFSI`
        v[k]:=vx[j]*vy[i];`FFSI`
        k:=k+1;`FFSI`
        end;`FFSI`
      end;`FFSI`
    end;`FFSI`
  ans:=0.0;`FFSI`
  for j:=0 to order do`FFSI`
    ans := ans + c[j]*v[j];`FFSI`
  evalfsi := ans;`FFSI`
end;`FFSI`
{---------------------------------------------------------------}`FCSI`
function evalcsi(order: integer; var x,y: real; var c: coef) : real;`FCSI`
{---------------------------------------------------------------}`FCSI`
var  nc,j,m,iv : integer;`FCSI`
     cx,cy : ar12;`FCSI`
     v : ar70;`FCSI`
     ans : real;`FCSI`
begin`FCSI`
  x:=(x-(`FOURIERSCALE0`))/(`FOURIERSCALE1`);`FCSI`
  y:=(y-(`FOURIERSCALE2`))/(`FOURIERSCALE3`);`FCSI`
  if x<0.0 then x:=0.0;`FCSI`
  if x>3.14159265358979323846 then x:=3.14159265358979323846;`FCSI`
  if y<0.0 then y:=0.0;`FCSI`
  if y>3.14159265358979323846 then y:=3.14159265358979323846;`FCSI`
  evalcsi :=0.0;`FCSI`
  case order of`FCSI`
    5:  nc:=2;`FCSI`
    9:  nc:=3;`FCSI`
    14: nc:=4;`FCSI`
    20: nc:=5;`FCSI`
    27: nc:=6;`FCSI`
    35: nc:=7;`FCSI`
    44: nc:=8;`FCSI`
    54: nc:=9;`FCSI`
    65: nc:=10;`FCSI`
  else`FCSI`
    Exit;`FCSI`
  end;`FCSI`
  cx[0]:=1.0;`FCSI`
  cy[0]:=1.0;`FCSI`
  for j:=1 to nc do`FCSI`
    begin`FCSI`
    cx[j]:=cos(j*x);`FCSI`
    cy[j]:=cos(j*y);`FCSI`
    end;`FCSI`
  iv:=0;`FCSI`
  for j:=0 to nc do`FCSI`
    begin`FCSI`
    for m:=j downto 0 do`FCSI`
      begin`FCSI`
      v[iv]:=cx[m]*cy[j-m];`FCSI`
      iv:=iv+1;`FCSI`
      end;`FCSI`
    end;`FCSI`
  ans:=0.0;`FCSI`
  for j:=0 to order do`FCSI`
    ans := ans + c[j]*v[j];`FCSI`
  evalcsi := ans;`FCSI`
end;`FCSI`
{---------------------------------------------------------------}`FSIG`
function evalsig(order: integer; var x,y: real; var c: coef) : real;`FSIG`
{---------------------------------------------------------------}`FSIG`
var  pcnt,j,m,iv : integer;`FSIG`
     px,py : ar12;`FSIG`
     v : ar70;`FSIG`
     ans,ctr : real;`FSIG`
begin`FSIG`
  x:=(x-(`CHEBSCALE0`))/(`CHEBSCALE1`);`FSIG`
  y:=(y-(`CHEBSCALE2`))/(`CHEBSCALE3`);`FSIG`
  evalsig := 0.0;`FSIG`
  case order of`FSIG`
    5:  pcnt:=3;`FSIG`
    9:  pcnt:=4;`FSIG`
    14: pcnt:=5;`FSIG`
    20: pcnt:=6;`FSIG`
    27: pcnt:=7;`FSIG`
    35: pcnt:=8;`FSIG`
    44: pcnt:=9;`FSIG`
    54: pcnt:=10;`FSIG`
    65: pcnt:=11;`FSIG`
  else`FSIG`
    Exit;`FSIG`
  end;`FSIG`
  px[0]:=1.0;`FSIG`
  py[0]:=1.0;`FSIG`
  px[1]:=x;`FSIG`
  py[1]:=y;`FSIG`
  for j:=2 to pcnt-1 do`FSIG`
    begin`FSIG`
    ctr:=-1.0+(j-1)*(2.0/(pcnt-1.0));`FSIG`
    px[j]:=-1.0+2.0/(1.0+Exp(-(x-ctr)/0.12));`FSIG`
    py[j]:=-1.0+2.0/(1.0+Exp(-(y-ctr)/0.12));`FSIG`
    end;`FSIG`
  iv:=0;`FSIG`
  for j:=0 to pcnt-1 do`FSIG`
    begin`FSIG`
    for m:=j downto 0 do`FSIG`
      begin`FSIG`
      v[iv]:=px[m]*py[j-m];`FSIG`
      iv:=iv+1;`FSIG`
      end;`FSIG`
    end;`FSIG`
  ans:=0.0;`FSIG`
  for j:=0 to order do`FSIG`
    ans := ans + c[j]*v[j];`FSIG`
  evalsig := ans;`FSIG`
end;`FSIG`

{---------------------------------------------------------------}
function `FNAME` (x,y: real) :real;
{---------------------------------------------------------------}
{ TableCurve 3D }
{ File Source= `SFILE` }
{ Date= `DATE` }
{ Time= `TIME` }
{ Data Set= `TITLE` }
{ X= `XTITLE` }
{ Y= `YTITLE` }
{ Z= `ZTITLE` }
{ Eqn#= `EQNO`}
{ Eqn= `EQSTR` }
{ r2=`R2VAL` }
{ r2adj=`R2ADJ` }
{ StdErr=`STDERR` }
{ Fstat=`FVAL` }
{ a= `COEFSTR0` }
{ b= `COEFSTR1` }
{ c= `COEFSTR2` }
{ d= `COEFSTR3` }
{ e= `COEFSTR4` }
{ f= `COEFSTR5` }
{ g= `COEFSTR6` }
{ h= `COEFSTR7` }
{ i= `COEFSTR8` }
{ j= `COEFSTR9` }
{ k= `COEFSTR10` }
{ l= `COEFSTR11` }
{ m= `COEFSTR12` }
{ n= `COEFSTR13` }
{ o= `COEFSTR14` }
{ p= `COEFSTR15` }
{ q= `COEFSTR16` }
{ r= `COEFSTR17` }
{ s= `COEFSTR18` }
{ t= `COEFSTR19` }
{ u= `COEFSTR20` }
{ v= `COEFSTR21` }
{ aa= `COEFSTR22` }
{ ab= `COEFSTR23` }
{ ac= `COEFSTR24` }
{ ad= `COEFSTR25` }
{ ae= `COEFSTR26` }
{ af= `COEFSTR27` }
{ ag= `COEFSTR28` }
{ ah= `COEFSTR29` }
{ ai= `COEFSTR30` }
{ aj= `COEFSTR31` }
{ ak= `COEFSTR32` }
{ al= `COEFSTR33` }
{ am= `COEFSTR34` }
{ an= `COEFSTR35` }
{ ao= `COEFSTR36` }
{ ap= `COEFSTR37` }
{ aq= `COEFSTR38` }
{ ar= `COEFSTR39` }
{ as= `COEFSTR40` }
{ at= `COEFSTR41` }
{ au= `COEFSTR42` }
{ av= `COEFSTR43` }
{ ba= `COEFSTR44` }
{ bb= `COEFSTR45` }
{ bc= `COEFSTR46` }
{ bd= `COEFSTR47` }
{ be= `COEFSTR48` }
{ bf= `COEFSTR49` }
{ bg= `COEFSTR50` }
{ bh= `COEFSTR51` }
{ bi= `COEFSTR52` }
{ bj= `COEFSTR53` }
{ bk= `COEFSTR54` }
{ bl= `COEFSTR55` }
{ bm= `COEFSTR56` }
{ bn= `COEFSTR57` }
{ bo= `COEFSTR58` }
{ bp= `COEFSTR59` }
{ bq= `COEFSTR60` }
{ br= `COEFSTR61` }
{ bs= `COEFSTR62` }
{ bt= `COEFSTR63` }
{ bu= `COEFSTR64` }
{ bv= `COEFSTR65` }
var  c : coef;`LISTCOEF`
var  z : real;
var  z1,z2 : real;`FDECL2`
var  z1,z2,z3,z4 : real;`FDECL4`
var  z1,z2,z3,z4,z5,z6 : real;`FDECL6`
var  z1,z2,z3,z4,z5,z6,z7,z8 : real;`FDECL8`
var  zu : real;`FDECLZU`
var  zv : real;`FDECLZV`
var  `FLIST` : real;
begin
  c[0] := `CVAL0`;`LISTCOEF`
  c[1] := `CVAL1`;`LISTCOEF`
  c[2] := `CVAL2`;`LISTCOEF`
  c[3] := `CVAL3`;`LISTCOEF`
  c[4] := `CVAL4`;`LISTCOEF`
  c[5] := `CVAL5`;`LISTCOEF`
  c[6] := `CVAL6`;`LISTCOEF`
  c[7] := `CVAL7`;`LISTCOEF`
  c[8] := `CVAL8`;`LISTCOEF`
  c[9] := `CVAL9`;`LISTCOEF`
  c[10] := `CVAL10`;`LISTCOEF`
  c[11] := `CVAL11`;`LISTCOEF`
  c[12] := `CVAL12`;`LISTCOEF`
  c[13] := `CVAL13`;`LISTCOEF`
  c[14] := `CVAL14`;`LISTCOEF`
  c[15] := `CVAL15`;`LISTCOEF`
  c[16] := `CVAL16`;`LISTCOEF`
  c[17] := `CVAL17`;`LISTCOEF`
  c[18] := `CVAL18`;`LISTCOEF`
  c[19] := `CVAL19`;`LISTCOEF`
  c[20] := `CVAL20`;`LISTCOEF`
  c[21] := `CVAL21`;`LISTCOEF`
  c[22] := `CVAL22`;`LISTCOEF`
  c[23] := `CVAL23`;`LISTCOEF`
  c[24] := `CVAL24`;`LISTCOEF`
  c[25] := `CVAL25`;`LISTCOEF`
  c[26] := `CVAL26`;`LISTCOEF`
  c[27] := `CVAL27`;`LISTCOEF`
  c[28] := `CVAL28`;`LISTCOEF`
  c[29] := `CVAL29`;`LISTCOEF`
  c[30] := `CVAL30`;`LISTCOEF`
  c[31] := `CVAL31`;`LISTCOEF`
  c[32] := `CVAL32`;`LISTCOEF`
  c[33] := `CVAL33`;`LISTCOEF`
  c[34] := `CVAL34`;`LISTCOEF`
  c[35] := `CVAL35`;`LISTCOEF`
  c[36] := `CVAL36`;`LISTCOEF`
  c[37] := `CVAL37`;`LISTCOEF`
  c[38] := `CVAL38`;`LISTCOEF`
  c[39] := `CVAL39`;`LISTCOEF`
  c[40] := `CVAL40`;`LISTCOEF`
  c[41] := `CVAL41`;`LISTCOEF`
  c[42] := `CVAL42`;`LISTCOEF`
  c[43] := `CVAL43`;`LISTCOEF`
  c[44] := `CVAL44`;`LISTCOEF`
  c[45] := `CVAL45`;`LISTCOEF`
  c[46] := `CVAL46`;`LISTCOEF`
  c[47] := `CVAL47`;`LISTCOEF`
  c[48] := `CVAL48`;`LISTCOEF`
  c[49] := `CVAL49`;`LISTCOEF`
  c[50] := `CVAL50`;`LISTCOEF`
  c[51] := `CVAL51`;`LISTCOEF`
  c[52] := `CVAL52`;`LISTCOEF`
  c[53] := `CVAL53`;`LISTCOEF`
  c[54] := `CVAL54`;`LISTCOEF`
  c[55] := `CVAL55`;`LISTCOEF`
  c[56] := `CVAL56`;`LISTCOEF`
  c[57] := `CVAL57`;`LISTCOEF`
  c[58] := `CVAL58`;`LISTCOEF`
  c[59] := `CVAL59`;`LISTCOEF`
  c[60] := `CVAL60`;`LISTCOEF`
  c[61] := `CVAL61`;`LISTCOEF`
  c[62] := `CVAL62`;`LISTCOEF`
  c[63] := `CVAL63`;`LISTCOEF`
  c[64] := `CVAL64`;`LISTCOEF`
  c[65] := `CVAL65`;`LISTCOEF`
  x := `FX`;
  y := `FY`;
  f1 := `F1`;
  f2 := `F2`;
  f3 := `F3`;
  f4 := `F4`;
  f5 := `F5`;
  f6 := `F6`;
  f7 := `F7`;
  f8 := `F8`;
  zu := `ZUEQNCODE`;
  zv := `ZVEQNCODE`;
  z1 := `Z1EQNCODE`;
  z2 := `Z2EQNCODE`;
  z3 := `Z3EQNCODE`;
  z4 := `Z4EQNCODE`;
  z5 := `Z5EQNCODE`;
  z6 := `Z6EQNCODE`;
  z7 := `Z7EQNCODE`;
  z8 := `Z8EQNCODE`;
  z := `EQNCODE`;
  z := evalcpoly(`ORDER`,`ISLOGX`,`ISLOGY`,x,y,c);`FCPOLY`
  z := evalcratl(`ORDER`,`ISLOGX`,`ISLOGY`,x,y,c);`FCRATL`
  z := evalfpoly(`ORDER`,x,y,c);`FFSER`
  z := evalfsi(`ORDER`,x,y,c);`FFSI`
  z := evalcsi(`ORDER`,x,y,c);`FCSI`
  z := evalsig(`ORDER`,x,y,c);`FSIG`
  `UDFCODE`
  `FNAME` := `FZ`;
end;
!!PASCAL!!

{---------------------------------------------------------------}

begin
  i := 1;
  repeat
    Writeln('Enter X: ');
    Readln(st);
    if(Length(st)=0) then i:=0 else Val(st,x,j);
    Writeln('Enter Y: ');
    Readln(st);
    if(Length(st)=0) then i:=0 else Val(st,y,j);
    if i=1 then
    begin
      z := `FNAME`(x,y);
      Str(z:27:18,st);
      Writeln('Z= ',st);
    end;
  until i=0;
end.
~~PASCAL~~
