unit Main;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  DCPcrypt, Blowfish, StdCtrls, Buttons;

type
  TForm1 = class(TForm)
    btnOpen: TBitBtn;
    btnSave: TBitBtn;
    Memo1: TMemo;
    OpenDialog1: TOpenDialog;
    SaveDialog1: TSaveDialog;
    procedure FormCreate(Sender: TObject);
    procedure btnOpenClick(Sender: TObject);
    procedure btnSaveClick(Sender: TObject);
  private
  public
  end;

var
  Key: Array[0..55] of byte;
  Form1: TForm1;

const
  Signature = 'SCQ' + #$C;

implementation

{$R *.DFM}

procedure TForm1.FormCreate(Sender: TObject);
var
  f: file;
  success: boolean;
begin
  success := false;
  if FileExists(ExtractFileDir(Application.ExeName)+'\key.bin') then begin
    AssignFile(f,ExtractFileDir(Application.ExeName)+'\key.bin');
    Reset(f,1);
    if FileSize(f) = 56 then begin
      BlockRead(f,Key,56);
      success := true;
    end;
    CloseFile(f);
  end;
  btnOpen.enabled := success;
end;

procedure TForm1.btnOpenClick(Sender: TObject);
var
  data :array of byte;
  sig: array[0..4] of byte;
  f: file;
  cipher: TDCP_blowfish;
  i: integer;
begin
  Cipher:= TDCP_blowfish.Create(nil);
  Cipher.Init(Key,Sizeof(Key)*8,nil);
  if OpenDialog1.Execute then begin
    AssignFile(f,OpenDialog1.Filename);
    Reset(f,1);
    SetLength(data,FileSize(f)-Length(Signature));
    BlockRead(f,sig,Length(Signature));
    sig[4] := 0;
    if lstrcmp(@sig[0],Signature) = 0 then begin
      BlockRead(f,data[0],FileSize(f)-Length(Signature));
      Cipher.DecryptCBC(data[0],data[0],FileSize(f)-Length(Signature));
      for i := 0 to FileSize(f)-Length(Signature) do
        data[i] := data[i] xor $37;
      btnSave.Enabled := true;
    end;
    CloseFile(f);
  end;
  Cipher.Burn;
  Cipher.Free;
  Memo1.Text := String(data);
  Finalize(data);
end;

procedure TForm1.btnSaveClick(Sender: TObject);
var
  f: file;
  tmp: String;
begin
  if SaveDialog1.Execute then begin
    AssignFile(f,SaveDialog1.Filename);
    Rewrite(f,1);
    SetLength(tmp,Length(Memo1.Text));
    tmp := Memo1.Text;
    BlockWrite(f,tmp[1],Length(tmp));
    CloseFile(f);
    Finalize(tmp);
  end;
end;

end.
